<?php
/**
 * Created by PhpStorm.
 * User: Jimy
 * Date: 2019/4/18
 * Time: 13:59
 */
namespace App\Models;
use Illuminate\Support\Facades\DB;
class Stbqresult extends BaseModel {
    protected $table = "st_bq_result";
    public $timestamps = false;

    function getinfo($list = 10, $page, $where = '',$orwhere = '')
    {
    	if (is_array ($where) && count ($where) > 0) {
            $data = $this->join('st_bq_league','st_bq_result.lg_id','=','st_bq_league.id')->join('st_bq_competition','st_bq_competition.id','=','st_bq_result.match_id')->select($this->table.'.id',$this->table.'.home_team',$this->table.'.guest_team',$this->table.'.match_id','st_bq_result.guest_team','st_bq_result.home_rate','st_bq_result.guest_rate','st_bq_result.first_score','st_bq_result.status','st_bq_result.last_score','st_bq_result.match_score','st_bq_result.match_winer','st_bq_result.update_time','st_bq_competition.match_time','st_bq_result.match_process',$this->table.'.home_score',$this->table.'.guest_score',$this->table.'.u_guest_score',$this->table.'.u_home_score',$this->table.'.start_time','st_bq_league.name_chinese as saisname')->orderby('st_bq_result.id','desc')->where($where)->orwhere($orwhere)->paginate ($list);
        } else { 
        	$data = $this->join('st_bq_league','st_bq_result.lg_id','=','st_bq_league.id')->join('st_bq_competition','st_bq_competition.id','=','st_bq_result.match_id')->select($this->table.'.id',$this->table.'.home_team',$this->table.'.guest_team',$this->table.'.match_id','st_bq_result.guest_team','st_bq_result.home_rate','st_bq_result.guest_rate','st_bq_result.first_score','st_bq_result.status','st_bq_result.last_score','st_bq_result.match_score','st_bq_result.match_winer','st_bq_result.update_time','st_bq_competition.match_time','st_bq_result.match_process',$this->table.'.home_score',$this->table.'.guest_score',$this->table.'.u_guest_score',$this->table.'.u_home_score',$this->table.'.start_time','st_bq_league.name_chinese as saisname')->orderby('st_bq_result.id','desc')->paginate ($list);
        }
        return $data->toArray ();
    }

    //查询赛事
    function matchjg($match_id){
        $data = $this->where('match_id',$match_id)->select('id','home_team','guest_team')->first();
        if (!$data) {
            return -5040000102; //无相关信息
        }
        return $data->toArray();
    }

    //更新状态
    function updatestatus($field,$where,$data){
        $res=$this->where($field,$where)->update($data);
        if(!$res) {
            return -7020050022;//更新失败
        }
        return 1;
    } 
 
    //更新
    function updateInfo($data, $match_id)
    {
        $res = $this->where ('match_id', $match_id)->update ($data);
        if (!$res) {
            return -7010101202; //更新失败
        }
        return 1;
    }

}